AgentSessionUpdated event schema (documentation only)

⚠️ DO NOT CALL — documentation only. Shows the shape of 'AgentSessionUpdated' event delivered via /hubs/notifications.

GET
/api/hubs/notifications/AgentSessionUpdated
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Response Body

application/json

curl -X GET "https://api.speaknode.com/api/hubs/notifications/AgentSessionUpdated"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
  "agent_title": "string",
  "called_by_id": "d4a76b42-6d4d-4dd4-874e-ad84f407c441",
  "called_by_name": "string",
  "language_id": "e5383c4a-ba2f-4900-a483-8de374094cdf",
  "locale_id": "50590343-6693-4a61-8470-c8115d9ddc18",
  "language_locale_code": "string",
  "status": "Pending",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "started_at": "2019-08-24T14:15:22Z",
  "ended_at": "2019-08-24T14:15:22Z",
  "live_kit_room_name": "string",
  "live_kit_egress_id": "string",
  "live_kit_dispatch_id": "string",
  "live_kit_job_id": "string",
  "transcription_path": "string",
  "has_audio": true,
  "duration_seconds": 0,
  "error_message": "string",
  "telecom_provider": "Twilio",
  "from_number": "string",
  "to_number": "string",
  "test_run_id": "01dbc221-8963-4bd7-8591-4a1f9d286862",
  "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded",
  "test_status": "Initial",
  "test_eval_result": {
    "success": true,
    "reasons": [
      "string"
    ],
    "completion_reason": "StepsExhausted"
  }
}